Arbor 3: FSM & BT Graph Editor 3.1.0

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties | List of all members
FlexibleRigidbody2D Class Reference

Class to handle a flexible Rigidbody2D type reference method there is more than one. More...

## Public Member Functions
| FlexibleRigidbody2D ()
| FlexibleRigidbody2D default constructor More...
| FlexibleRigidbody2D (Rigidbody2D value)
| FlexibleRigidbody2D constructor More...
| FlexibleRigidbody2D (Rigidbody2DParameterReference parameter)
| FlexibleRigidbody2D constructor More...
| FlexibleRigidbody2D (InputSlotRigidbody2D slot)
| FlexibleRigidbody2D constructor More...

## Static Public Member Functions
static | operator Rigidbody2D (FlexibleRigidbody2D flexible)
| Cast FlexibleRigidbody2D to Rigidbody2D. More...
static | operator FlexibleRigidbody2D (Rigidbody2D value)
| Cast Rigidbody2D to FlexibleRigidbody2D. More...

## Properties
FlexibleType | type`[get]`
| It returns a type More...
Parameter | parameter`[get]`
| It return a Paramter. More...
Rigidbody2D | value`[get]`
| It returns a value More...

## Detailed Description

Class to handle a flexible Rigidbody2D type reference method there is more than one.

## Constructor & Destructor Documentation

FlexibleRigidbody2D | ( |  | ) |

FlexibleRigidbody2D default constructor

FlexibleRigidbody2D | ( | Rigidbody2D | value | ) |

FlexibleRigidbody2D constructor

Parameters

  value | Value

FlexibleRigidbody2D | ( | Rigidbody2DParameterReference | parameter | ) |

FlexibleRigidbody2D constructor

Parameters

  parameter | Parameter

FlexibleRigidbody2D | ( | InputSlotRigidbody2D | slot | ) |

FlexibleRigidbody2D constructor

Parameters

  slot | Slot

## Member Function Documentation

static operator FlexibleRigidbody2D | ( | Rigidbody2D | value | ) |
| explicit static

Cast Rigidbody2D to FlexibleRigidbody2D.

Parameters

  value | Rigidbody2D

static operator Rigidbody2D | ( | FlexibleRigidbody2D | flexible | ) |
| explicit static

Cast FlexibleRigidbody2D to Rigidbody2D.

Parameters

  flexible | FlexibleRigidbody2D

## Property Documentation

Parameter parameter
| get

It return a Paramter.

It is null if Type is other than Parameter.

FlexibleType type
| get

It returns a type

Rigidbody2D value
| get

It returns a value